The POS Profile object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

disabled boolean

Default: false

customer string
company string required
country string
company_address string
letter_head string
tc_name string
select_print_heading string
selling_price_list string
currency string required
write_off_account string required
write_off_cost_center string required
account_for_change_amount string
income_account string
expense_account string
cost_center string
taxes_and_charges string
apply_discount_on string

Default: Grand Total

tax_category string
print_format string
warehouse string required
ignore_pricing_rule boolean

Default: false

update_stock boolean

Default: true

hide_unavailable_items boolean

Default: false

hide_images boolean

Default: false

auto_add_item_to_cart boolean

Default: false

allow_rate_change boolean

Default: false

allow_discount_change boolean

Default: false

validate_stock_on_save boolean

Default: false

write_off_limit number

Default: 1

disable_rounded_total boolean

Default: false

utm_campaign string
utm_source string
utm_medium string
print_receipt_on_order_complete boolean

Default: false

project string
set_grand_total_to_default_mop boolean

Default: true

action_on_new_invoice string

Default: Always Ask

allow_partial_payment boolean

Default: false

allow_warehouse_change boolean

Default: false

The POS Profile object
{
  "id": "p-o-s-profile_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "disabled": false,
  "customer": "customer_example",
  "company": "Example Corp",
  "country": "country_example",
  "company_address": "Example Corp",
  "letter_head": "letter_head_example",
  "tc_name": "tc_name_example",
  "select_print_heading": "select_print_heading_example",
  "selling_price_list": "selling_price_list_example",
  "currency": "USD",
  "write_off_account": "write_off_account_example",
  "write_off_cost_center": "write_off_cost_center_example",
  "account_for_change_amount": "account_for_change_amount_example",
  "income_account": "income_account_example",
  "expense_account": "expense_account_example",
  "cost_center": "cost_center_example",
  "taxes_and_charges": "taxes_and_charges_example",
  "apply_discount_on": "Grand Total",
  "tax_category": "tax_category_example",
  "print_format": "print_format_example",
  "warehouse": "warehouse_example",
  "ignore_pricing_rule": false,
  "update_stock": true,
  "hide_unavailable_items": false,
  "hide_images": false,
  "auto_add_item_to_cart": false,
  "allow_rate_change": false,
  "allow_discount_change": false,
  "validate_stock_on_save": false,
  "write_off_limit": 1,
  "disable_rounded_total": false,
  "utm_campaign": "utm_campaign_example",
  "utm_source": "utm_source_example",
  "utm_medium": "utm_medium_example",
  "print_receipt_on_order_complete": false,
  "project": "project_example",
  "set_grand_total_to_default_mop": true,
  "action_on_new_invoice": "Always Ask",
  "allow_partial_payment": false,
  "allow_warehouse_change": false
}
GET /api/accounts/p-o-s-profile/{id}

Retrieve a pos profile

Retrieves the details of an existing pos profile. Supply the unique pos profile ID that was returned from a previous request.

Path parameters

id string required

The identifier of the pos profile to retrieve.

Returns

Returns the pos profile object if a valid identifier was provided.

GET /api/accounts/p-o-s-profile/{id}
curl https://api.overplane.dev/api/accounts/p-o-s-profile/p-o-s-profile_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "p-o-s-profile_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "disabled": false,
  "customer": "customer_example",
  "company": "Example Corp",
  "country": "country_example",
  "company_address": "Example Corp",
  "letter_head": "letter_head_example",
  "tc_name": "tc_name_example",
  "select_print_heading": "select_print_heading_example",
  "selling_price_list": "selling_price_list_example",
  "currency": "USD",
  "write_off_account": "write_off_account_example",
  "write_off_cost_center": "write_off_cost_center_example",
  "account_for_change_amount": "account_for_change_amount_example",
  "income_account": "income_account_example",
  "expense_account": "expense_account_example",
  "cost_center": "cost_center_example",
  "taxes_and_charges": "taxes_and_charges_example",
  "apply_discount_on": "Grand Total",
  "tax_category": "tax_category_example",
  "print_format": "print_format_example",
  "warehouse": "warehouse_example",
  "ignore_pricing_rule": false,
  "update_stock": true,
  "hide_unavailable_items": false,
  "hide_images": false,
  "auto_add_item_to_cart": false,
  "allow_rate_change": false,
  "allow_discount_change": false,
  "validate_stock_on_save": false,
  "write_off_limit": 1,
  "disable_rounded_total": false,
  "utm_campaign": "utm_campaign_example",
  "utm_source": "utm_source_example",
  "utm_medium": "utm_medium_example",
  "print_receipt_on_order_complete": false,
  "project": "project_example",
  "set_grand_total_to_default_mop": true,
  "action_on_new_invoice": "Always Ask",
  "allow_partial_payment": false,
  "allow_warehouse_change": false
}
GET /api/accounts/p-o-s-profile

List all pos profiles

Returns a list of pos profiles. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of pos profile objects.

GET /api/accounts/p-o-s-profile
curl https://api.overplane.dev/api/accounts/p-o-s-profile \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "p-o-s-profile_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "disabled": false,
      "customer": "customer_example",
      "company": "Example Corp",
      "country": "country_example",
      "company_address": "Example Corp",
      "letter_head": "letter_head_example",
      "tc_name": "tc_name_example",
      "select_print_heading": "select_print_heading_example",
      "selling_price_list": "selling_price_list_example",
      "currency": "USD",
      "write_off_account": "write_off_account_example",
      "write_off_cost_center": "write_off_cost_center_example",
      "account_for_change_amount": "account_for_change_amount_example",
      "income_account": "income_account_example",
      "expense_account": "expense_account_example",
      "cost_center": "cost_center_example",
      "taxes_and_charges": "taxes_and_charges_example",
      "apply_discount_on": "Grand Total",
      "tax_category": "tax_category_example",
      "print_format": "print_format_example",
      "warehouse": "warehouse_example",
      "ignore_pricing_rule": false,
      "update_stock": true,
      "hide_unavailable_items": false,
      "hide_images": false,
      "auto_add_item_to_cart": false,
      "allow_rate_change": false,
      "allow_discount_change": false,
      "validate_stock_on_save": false,
      "write_off_limit": 1,
      "disable_rounded_total": false,
      "utm_campaign": "utm_campaign_example",
      "utm_source": "utm_source_example",
      "utm_medium": "utm_medium_example",
      "print_receipt_on_order_complete": false,
      "project": "project_example",
      "set_grand_total_to_default_mop": true,
      "action_on_new_invoice": "Always Ask",
      "allow_partial_payment": false,
      "allow_warehouse_change": false
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/p-o-s-profile

Create a pos profile

Creates a new pos profile object.

Body parameters

disabled boolean

Default: false

customer string
company string required
country string
company_address string
letter_head string
tc_name string
select_print_heading string
selling_price_list string
currency string required
write_off_account string required
write_off_cost_center string required
account_for_change_amount string
income_account string
expense_account string
cost_center string
taxes_and_charges string
apply_discount_on string

Default: Grand Total

tax_category string
print_format string
warehouse string required
ignore_pricing_rule boolean

Default: false

update_stock boolean

Default: true

hide_unavailable_items boolean

Default: false

hide_images boolean

Default: false

auto_add_item_to_cart boolean

Default: false

allow_rate_change boolean

Default: false

allow_discount_change boolean

Default: false

validate_stock_on_save boolean

Default: false

write_off_limit number

Default: 1

disable_rounded_total boolean

Default: false

utm_campaign string
utm_source string
utm_medium string
print_receipt_on_order_complete boolean

Default: false

project string
set_grand_total_to_default_mop boolean

Default: true

action_on_new_invoice string

Default: Always Ask

allow_partial_payment boolean

Default: false

allow_warehouse_change boolean

Default: false

Returns

Returns the newly created pos profile object if the call succeeded.

POST /api/accounts/p-o-s-profile
curl https://api.overplane.dev/api/accounts/p-o-s-profile \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"company":"Example Corp","currency":"USD","write_off_account":"write_off_account_example","write_off_cost_center":"write_off_cost_center_example","warehouse":"warehouse_example"}'
Response
{
  "id": "p-o-s-profile_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "disabled": false,
  "customer": "customer_example",
  "company": "Example Corp",
  "country": "country_example",
  "company_address": "Example Corp",
  "letter_head": "letter_head_example",
  "tc_name": "tc_name_example",
  "select_print_heading": "select_print_heading_example",
  "selling_price_list": "selling_price_list_example",
  "currency": "USD",
  "write_off_account": "write_off_account_example",
  "write_off_cost_center": "write_off_cost_center_example",
  "account_for_change_amount": "account_for_change_amount_example",
  "income_account": "income_account_example",
  "expense_account": "expense_account_example",
  "cost_center": "cost_center_example",
  "taxes_and_charges": "taxes_and_charges_example",
  "apply_discount_on": "Grand Total",
  "tax_category": "tax_category_example",
  "print_format": "print_format_example",
  "warehouse": "warehouse_example",
  "ignore_pricing_rule": false,
  "update_stock": true,
  "hide_unavailable_items": false,
  "hide_images": false,
  "auto_add_item_to_cart": false,
  "allow_rate_change": false,
  "allow_discount_change": false,
  "validate_stock_on_save": false,
  "write_off_limit": 1,
  "disable_rounded_total": false,
  "utm_campaign": "utm_campaign_example",
  "utm_source": "utm_source_example",
  "utm_medium": "utm_medium_example",
  "print_receipt_on_order_complete": false,
  "project": "project_example",
  "set_grand_total_to_default_mop": true,
  "action_on_new_invoice": "Always Ask",
  "allow_partial_payment": false,
  "allow_warehouse_change": false
}
PATCH /api/accounts/p-o-s-profile/{id}

Update a pos profile

Updates the specified pos profile by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the pos profile to update.

Body parameters

disabled boolean

Default: false

customer string
company string
country string
company_address string
letter_head string
tc_name string
select_print_heading string
selling_price_list string
currency string
write_off_account string
write_off_cost_center string
account_for_change_amount string
income_account string
expense_account string
cost_center string
taxes_and_charges string
apply_discount_on string

Default: Grand Total

tax_category string
print_format string
warehouse string
ignore_pricing_rule boolean

Default: false

update_stock boolean

Default: true

hide_unavailable_items boolean

Default: false

hide_images boolean

Default: false

auto_add_item_to_cart boolean

Default: false

allow_rate_change boolean

Default: false

allow_discount_change boolean

Default: false

validate_stock_on_save boolean

Default: false

write_off_limit number

Default: 1

disable_rounded_total boolean

Default: false

utm_campaign string
utm_source string
utm_medium string
print_receipt_on_order_complete boolean

Default: false

project string
set_grand_total_to_default_mop boolean

Default: true

action_on_new_invoice string

Default: Always Ask

allow_partial_payment boolean

Default: false

allow_warehouse_change boolean

Default: false

Returns

Returns the updated pos profile object.

PATCH /api/accounts/p-o-s-profile/{id}
curl https://api.overplane.dev/api/accounts/p-o-s-profile/p-o-s-profile_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"disabled":false,"customer":"customer_example"}'
Response
{
  "id": "p-o-s-profile_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "disabled": false,
  "customer": "customer_example",
  "company": "Example Corp",
  "country": "country_example",
  "company_address": "Example Corp",
  "letter_head": "letter_head_example",
  "tc_name": "tc_name_example",
  "select_print_heading": "select_print_heading_example",
  "selling_price_list": "selling_price_list_example",
  "currency": "USD",
  "write_off_account": "write_off_account_example",
  "write_off_cost_center": "write_off_cost_center_example",
  "account_for_change_amount": "account_for_change_amount_example",
  "income_account": "income_account_example",
  "expense_account": "expense_account_example",
  "cost_center": "cost_center_example",
  "taxes_and_charges": "taxes_and_charges_example",
  "apply_discount_on": "Grand Total",
  "tax_category": "tax_category_example",
  "print_format": "print_format_example",
  "warehouse": "warehouse_example",
  "ignore_pricing_rule": false,
  "update_stock": true,
  "hide_unavailable_items": false,
  "hide_images": false,
  "auto_add_item_to_cart": false,
  "allow_rate_change": false,
  "allow_discount_change": false,
  "validate_stock_on_save": false,
  "write_off_limit": 1,
  "disable_rounded_total": false,
  "utm_campaign": "utm_campaign_example",
  "utm_source": "utm_source_example",
  "utm_medium": "utm_medium_example",
  "print_receipt_on_order_complete": false,
  "project": "project_example",
  "set_grand_total_to_default_mop": true,
  "action_on_new_invoice": "Always Ask",
  "allow_partial_payment": false,
  "allow_warehouse_change": false
}
DELETE /api/accounts/p-o-s-profile/{id}

Delete a pos profile

Permanently deletes a pos profile. This cannot be undone.

Path parameters

id string required

The identifier of the pos profile to delete.

Returns

Returns a confirmation that the pos profile has been deleted.

DELETE /api/accounts/p-o-s-profile/{id}
curl https://api.overplane.dev/api/accounts/p-o-s-profile/p-o-s-profile_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "p-o-s-profile_abc123",
  "deleted": true
}